GNU bug report logs - #6392
24.0.50; Switching to emacs window reports "<Scroll_Lock> is undefined"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Tim Van Holder <tim.vanholder@HIDDEN>; dated Thu, 10 Jun 2010 15:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 6392 <at> debbugs.gnu.org:


Received: (at 6392) by debbugs.gnu.org; 18 Jun 2010 16:06:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 18 12:06:41 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OPe5Z-0004bo-7S
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2010 12:06:41 -0400
Received: from mail-bw0-f44.google.com ([209.85.214.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OPdAm-0004DP-Ef
	for 6392 <at> debbugs.gnu.org; Fri, 18 Jun 2010 11:08:01 -0400
Received: by bwz13 with SMTP id 13so401382bwz.3
	for <6392 <at> debbugs.gnu.org>; Fri, 18 Jun 2010 08:07:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:received:in-reply-to
	:references:date:message-id:subject:from:to:cc:content-type;
	bh=h5t4K+Q2oP2wuQYyCXEvKz1Z/8S+ZNQRaDh5IC5D6P0=;
	b=M5BDUq0e38ECZ+qEccpAtmMTZzAHmKDKamjJlV2WmwsnBF2iFyTeXxCf0qHXsGDz7X
	/L3P60yIOw5nfFA/Z66LYoswA7IZjX7VL9Cl895hAifJdREuE3CFbJ4UWmS1NtaEuydw
	dRgi1BogMo0xnn9jGmMVma77viyQyBfaVGANw=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	b=v36fyIbwSm4gd9mHE7fsaw8VJSNNkZCoQoGOJnNFAkj2iAQzwKWTbewn4+ExbthevQ
	pdYfIJmkZof0Xoanji/XaFAM4We+sLBRd8ZHt6YhHUBlPcxEYB+dgne8rmBRmswU6zGl
	1ETHmXqrtwe5w6sVHaClatJxCSMuUkmMFAPzU=
MIME-Version: 1.0
Received: by 10.204.47.20 with SMTP id l20mr938590bkf.132.1276873673737; Fri, 
	18 Jun 2010 08:07:53 -0700 (PDT)
Received: by 10.204.53.68 with HTTP; Fri, 18 Jun 2010 08:07:53 -0700 (PDT)
In-Reply-To: <AANLkTil4Rj2jIOp_aNCyCUI8MnFU2aszZwC0Cc57ZruW@HIDDEN>
References: <87sk4vlyri.fsf@HIDDEN>
	<AANLkTinyTsj91lF2mI1SOt2jyn_2e_qOwOl7Z5qsBz1R@HIDDEN>
	<jwvhbl5ivw4.fsf-monnier+emacs@HIDDEN>
	<AANLkTil4Rj2jIOp_aNCyCUI8MnFU2aszZwC0Cc57ZruW@HIDDEN>
Date: Fri, 18 Jun 2010 17:07:53 +0200
Message-ID: <AANLkTimkLjHLLpxsEuZN5X3rtKkMEOjGdLoggVdI5xLs@HIDDEN>
Subject: Re: bug#6392: Scroll Lock state was on
From: Tim Van Holder <tim.vanholder@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 6392
X-Mailman-Approved-At: Fri, 18 Jun 2010 12:06:38 -0400
Cc: 6392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On 18 June 2010 10:20, Tim Van Holder <tim.vanholder@HIDDEN> wrote:
> With this morning's bzr trunk this seems to have gone away; pressing
> the key with Emacs still has the message, but that's perfectly normal.
> The message is no longer issued when switching to/from Emacs, nor when
> starting Emacs with scroll lock enabled.

Looks like I was premature. I just switched to emacs from Vista (a
3270 terminal emulator; probably the reason Scroll Lock is on to begin
with) and it hit the error again.
Given that when I tested it this morning (explicitly
enabling/disabling Scroll Lock via the keyboard) things were working,
it may be specifically related to Scroll Lock being enabled
programmatically. It may also be specific to my use case (i.e. using
Cygwin's X server via SSH tunnelling).
I'll try to do some tests next Monday.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6392; Package emacs. Full text available.

Message received at 6392 <at> debbugs.gnu.org:


Received: (at 6392) by debbugs.gnu.org; 18 Jun 2010 16:06:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 18 12:06:40 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OPe5X-0004bf-1x
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2010 12:06:39 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OPWoS-0000bo-K5
	for 6392 <at> debbugs.gnu.org; Fri, 18 Jun 2010 04:20:32 -0400
Received: by fxm19 with SMTP id 19so490081fxm.3
	for <6392 <at> debbugs.gnu.org>; Fri, 18 Jun 2010 01:20:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:received:in-reply-to
	:references:date:message-id:subject:from:to:cc:content-type;
	bh=4DShNCegtwo27ySADjuDo0Ykkcdf4XudvCC7sbMhiPQ=;
	b=brtwvMmiZq0p3GT84vgqY+fjx+45uhAz+qeefRg0ZHNwijNlhVUnzZf9zpDre/sSGi
	lvSbgNnVhhu/xxfjYsMgX1rDhU+a/WQK55tIKIIm9C6eWi5R7kt+HMyELUna6/LNe9rn
	Ihe6l1/cg8V+2SJwtM0jDFf1UzHVQoG2XMaVc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	b=SmSPZZu5kFQPVWOYGrtCE0K1pH4WShfplfw8RXdelo6rrCd8UxrCJNOfDaduIP/M7p
	N/Swv2zWvcihufXA1TQGSMHTV/0Ojy9gTL3zlty2fRz3kzpUn4FoZZJTwhOB7cND0TYl
	CZclJf6sPU8qjLiA3MMpuHr/PdZ6/ZHVnfV8s=
MIME-Version: 1.0
Received: by 10.204.160.141 with SMTP id n13mr520246bkx.61.1276849229077; Fri, 
	18 Jun 2010 01:20:29 -0700 (PDT)
Received: by 10.204.53.68 with HTTP; Fri, 18 Jun 2010 01:20:29 -0700 (PDT)
In-Reply-To: <jwvhbl5ivw4.fsf-monnier+emacs@HIDDEN>
References: <87sk4vlyri.fsf@HIDDEN>
	<AANLkTinyTsj91lF2mI1SOt2jyn_2e_qOwOl7Z5qsBz1R@HIDDEN>
	<jwvhbl5ivw4.fsf-monnier+emacs@HIDDEN>
Date: Fri, 18 Jun 2010 10:20:29 +0200
Message-ID: <AANLkTil4Rj2jIOp_aNCyCUI8MnFU2aszZwC0Cc57ZruW@HIDDEN>
Subject: Re: bug#6392: Scroll Lock state was on
From: Tim Van Holder <tim.vanholder@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 6392
X-Mailman-Approved-At: Fri, 18 Jun 2010 12:06:38 -0400
Cc: 6392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

With this morning's bzr trunk this seems to have gone away; pressing
the key with Emacs still has the message, but that's perfectly normal.
The message is no longer issued when switching to/from Emacs, nor when
starting Emacs with scroll lock enabled.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6392; Package emacs. Full text available.

Message received at 6392 <at> debbugs.gnu.org:


Received: (at 6392) by debbugs.gnu.org; 14 Jun 2010 13:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 09:31:37 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OO9lJ-0007MN-Kw
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2010 09:31:37 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1OO9lI-0007MG-IQ
	for 6392 <at> debbugs.gnu.org; Mon, 14 Jun 2010 09:31:37 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAGvMFUxMCoQR/2dsb2JhbACefXK/JIUaBI0C
X-IronPort-AV: E=Sophos;i="4.53,414,1272859200"; d="scan'208";a="67988195"
Received: from 76-10-132-17.dsl.teksavvy.com (HELO alfajor.home)
	([76.10.132.17])
	by ironport2-out.pppoe.ca with ESMTP; 14 Jun 2010 09:31:31 -0400
Received: by alfajor.home (Postfix, from userid 20848)
	id 89126AE251; Mon, 14 Jun 2010 09:31:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Tim Van Holder <tim.vanholder@HIDDEN>
Subject: Re: bug#6392: Scroll Lock state was on
Message-ID: <jwvhbl5ivw4.fsf-monnier+emacs@HIDDEN>
References: <87sk4vlyri.fsf@HIDDEN>
	<AANLkTinyTsj91lF2mI1SOt2jyn_2e_qOwOl7Z5qsBz1R@HIDDEN>
Date: Mon, 14 Jun 2010 09:31:30 -0400
In-Reply-To: <AANLkTinyTsj91lF2mI1SOt2jyn_2e_qOwOl7Z5qsBz1R@HIDDEN>
	(Tim Van Holder's message of "Mon, 14 Jun 2010 10:34:43 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 6392
Cc: 6392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Hmm. Looks like my keyboard's Scroll Lock state was enabled at the time.

Good to know, thanks.

> Still a bit annoying that emacs complained about this every single
> time it received the focus though (no other apps do).

Obviously.

> If this is intentional and/or necessary behaviour, then I guess this
> bug can be closed.

No, it's not intentional and I don't think it's necessary either.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6392; Package emacs. Full text available.

Message received at 6392 <at> debbugs.gnu.org:


Received: (at 6392) by debbugs.gnu.org; 14 Jun 2010 09:14:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 05:14:30 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OO5kT-0004qT-Sp
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2010 05:14:30 -0400
Received: from mail-bw0-f44.google.com ([209.85.214.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OO583-0004XB-AC
	for 6392 <at> debbugs.gnu.org; Mon, 14 Jun 2010 04:34:47 -0400
Received: by bwz13 with SMTP id 13so1760446bwz.3
	for <6392 <at> debbugs.gnu.org>; Mon, 14 Jun 2010 01:34:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:received:date:message-id
	:subject:from:to:content-type;
	bh=4ygx3erQ0DgFhxHGN/szBXyUOw/XOsbbcicVkIt8QZY=;
	b=Gertgm7H1VIaXsXVUew4iL23yZnZLKKVx0srGokN6dFIRlGCnL8DdUzarpvpNykMmZ
	j/mKwwHr8qyeZokblFjedwzjvwOEw3Nni2Mk672psTI1dP2Q3nx3+hwE1EADJESJdnGG
	UsISA7Bkp9lfeKb13qSlwQXcpCVoXF7YOnvdo=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=GGGEryp9ANu63DriPZu8u4hTfPWhG6Ho8ix4E5AKGGNLk+Rn2ArGMzdJnDq92DPOZ7
	/7S2kEt9YXckoHldZxTEl9znhMDFBPFvDDmqVmY5VGhJNFv0ZBKGaVyIbsINUU5Qc4Zw
	BtudIxrJrshyoFBMJHSytWK6fDPl1j0r+WlxU=
MIME-Version: 1.0
Received: by 10.204.161.211 with SMTP id s19mr4057711bkx.18.1276504483518; 
	Mon, 14 Jun 2010 01:34:43 -0700 (PDT)
Received: by 10.204.53.68 with HTTP; Mon, 14 Jun 2010 01:34:43 -0700 (PDT)
Date: Mon, 14 Jun 2010 10:34:43 +0200
Message-ID: <AANLkTinyTsj91lF2mI1SOt2jyn_2e_qOwOl7Z5qsBz1R@HIDDEN>
Subject: Scroll Lock state was on
From: Tim Van Holder <tim.vanholder@HIDDEN>
To: 6392 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 6392
X-Mailman-Approved-At: Mon, 14 Jun 2010 05:14:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

Hmm. Looks like my keyboard's Scroll Lock state was enabled at the time.
Still a bit annoying that emacs complained about this every single
time it received the focus though (no other apps do).
If this is intentional and/or necessary behaviour, then I guess this
bug can be closed.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6392; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jun 2010 15:52:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 10 11:52:42 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OMk3d-0004Lk-O9
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 11:52:41 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OMjEH-0003xT-5k
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 10:59:37 -0400
Received: from lists.gnu.org ([199.232.76.165]:47623)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OMjEC-0001yJ-D3
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 10:59:32 -0400
Received: from [140.186.70.92] (port=37073 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OMjE7-0005Qt-V5
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 10:59:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OMjE6-0006yF-VS
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 10:59:27 -0400
Received: from mail.anubex.com ([194.78.75.179]:46307)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tim.vanholder@HIDDEN>) id 1OMjE6-0006xm-PG
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 10:59:26 -0400
Received: from localhost (kraatos.anubex.internal [127.0.0.1])
	by mail.anubex.com (Postfix) with ESMTP id EF2B1EA4645;
	Thu, 10 Jun 2010 16:59:21 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at anubex.com
Received: from mail.anubex.com ([127.0.0.1])
	by localhost (mail.anubex.com [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id SNvj1AlTfnk3; Thu, 10 Jun 2010 16:59:13 +0200 (CEST)
Received: from leeloo.anubex.internal (leeloo.anubex.internal [192.168.14.202])
	by mail.anubex.com (Postfix) with ESMTPS id 73F84EA44BB;
	Thu, 10 Jun 2010 16:59:13 +0200 (CEST)
Received: from tim by leeloo.anubex.internal with local (Exim 4.63)
	(envelope-from <tim.vanholder@HIDDEN>)
	id 1OMjDt-0004o4-9z; Thu, 10 Jun 2010 16:59:13 +0200
From: Tim Van Holder <tim.vanholder@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50;
	Switching to emacs window reports "<Scroll_Lock> is undefined"
Date: Thu, 10 Jun 2010 16:59:13 +0200
Message-ID: <87sk4vlyri.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 10 Jun 2010 11:52:39 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

I'm running emacs on an (old) debian box from an ssh session, with X
forwarding set up to Cygwin's X windows.

Since updating to this morning's bzr trunk (but still the case after a
bzr update 15 minutes ago), starting up emacs gives an error
"<Scroll_Lock> is undefined". This error is repeated when the emacs
window receives the focus (after Alt-TAB). It is quite annoying since I
tend to go back and forth between windows a lot.

Happens with emacs -Q too, so does not seem to be a customization issue.

I tried
  (global-set-key [Scroll_Lock] nil)
and
  (global-set-key [Scroll_Lock] 'do-nothing)
but neither had any effect whatsoever.


As an aside, I see that [C-q TAB] inserts a NUL character before the
TAB. It does not happen for all characters; others that seem to get a
NUL are [return], [ESC] (which inserts the NUL but then treats the ESC
as a keypress rather than inserting an escape character).


In GNU Emacs 24.0.50.10 (i686-pc-linux-gnu, GTK+ Version 2.8.20)
 of 2010-06-10 on leeloo
Windowing system distributor `The Cygwin/X Project', version 11.0.10503000
configured using `configure  '--with-x''




Acknowledgement sent to Tim Van Holder <tim.vanholder@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6392; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Mar 2017 03:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.